Subject: Ticket Assigned - Return and refund - Order 9590655093
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 18 Nov 2022 09:06:22 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return and refund - Order 9590655093 Dear Team,

Please note that I have ordered one dress for collect and pick up, order
number is 9590655093.

I couldn’t collect the order since it was delayed from your end and now I
am out of the country for at least 4-5 months.

Kindly refund my AED 55 in the same card from which the payment was done
and confirm ASAP visa email.

Thanks
Harsha Ramnani

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5092639